package com.jojubanking.boot.module.system.service.usersxq;

import java.util.*;
import javax.validation.*;
import com.jojubanking.boot.module.system.controller.admin.usersxq.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.usersxq.UsersXqDO;
import com.jojubanking.boot.framework.common.pojo.PageResult;

/**
 * 用户信息 Service 接口
 *
 * @author admin
 */
public interface UsersXqService {

    /**
     * 创建用户信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createUsersXq(@Valid UsersXqCreateReqVO createReqVO);

    /**
     * 更新用户信息
     *
     * @param updateReqVO 更新信息
     */
    void updateUsersXq(@Valid UsersXqUpdateReqVO updateReqVO);

    /**
     * 删除用户信息
     *
     * @param id 编号
     */
    void deleteUsersXq(Long id);

    /**
     * 获得用户信息
     *
     * @param id 编号
     * @return 用户信息
     */
    UsersXqDO getUsersXq(Long id);

    /**
     * 获得用户信息列表
     *
     * @param ids 编号
     * @return 用户信息列表
     */
    List<UsersXqDO> getUsersXqList(Collection<Long> ids);

    /**
     * 获得用户信息分页
     *
     * @param pageReqVO 分页查询
     * @return 用户信息分页
     */
    PageResult<UsersXqDO> getUsersXqPage(UsersXqPageReqVO pageReqVO);

    /**
     * 获得用户信息列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 用户信息列表
     */
    List<UsersXqDO> getUsersXqList(UsersXqExportReqVO exportReqVO);

}
